<div class="body">
  <!-- item START-->
<div class="item">
  <article class="post" id="post{{idx}}" *ngFor="let item of items(); let idx=index">
      <ng-template pTemplate="header" style="background-color: antiquewhite;">
        <his-item-header [item]="item" (delete)="doDeleteItem()" (update)="doUpdateItem($event)"></his-item-header>
      </ng-template>
      <his-item-body [item]="item"></his-item-body>
  </article>
</div>
<!-- item END-->
